<?php

namespace Origo\Controller;

use Origo\Services\Database;;
use Origo\Services\Renderer;
use Origo\Services\Request;

abstract class ControllerBase {

  /**
   * The request service.
   *
   * @var Request
   */
  protected Request $request;

  /**
   * The renderer service.
   *
   * @var Renderer
   */
  protected Renderer $renderer;

  /**
   * The database service.
   *
   * @var Database
   */
  protected Database $database;
  
  /**
   * Add common services.
   */ 
  public function __construct() {
    $this->request = new Request();
    $this->renderer = new Renderer();
    $this->database = new Database();
  }
}
